<?php 
require "../commonincludefiles.php";
error_reporting(1);
if($_REQUEST['branch_id']!=""){
	
    $college_id	=	$_SESSION["VedantnrCollegeId"];
	$start   = isset($_REQUEST['start'])  ? $_REQUEST['start']  :  0;
	$limit   = isset($_REQUEST['limit'])  ? $_REQUEST['limit']  : 30;
	$sort    = isset($_REQUEST['sort'])   ? $_REQUEST['sort']   : '';
	$dir     = isset($_REQUEST['dir'])    ? $_REQUEST['dir']    : 'ASC';
	$filters = isset($_REQUEST['filter']) ? $_REQUEST['filter'] : null;
	
	if (is_array($filters)) {
    	$encoded = false;
	} else {
    	$encoded = true;
    	$filters = json_decode($filters);
	}
	
	$condition ="";
	$qs = '';

	if (is_array($filters)) {
    	for ($i=0;$i<count($filters);$i++){
        	$filter = $filters[$i];
        	if ($encoded) {
            	$field = $filter->field;
            	$value = $filter->value;
            	$compare = isset($filter->comparison) ? $filter->comparison : null;
            	$filterType = $filter->type;
        	} else {
            	$field = $filter['field'];
            	$value = $filter['data']['value'];
           	 	$compare = isset($filter['data']['comparison']) ? $filter['data']['comparison'] : null;
            	$filterType = $filter['data']['type'];
        	}
			
			switch($filterType){
				case 'string' : $qs .= " AND ".$field." LIKE '%".$value."%'"; break;
				case 'list' :
					if (strstr($value,',')){
						print "if";
						   if(strcmp($field,"branch_name")==0){
								$fi = explode(',',$value);
								for ($q=0;$q < count($fi);$q++){
									$fi[$q] = "'".$fi[$q]."'";
								}
								$value = implode(',',$fi);
								$field = "sd.branch_id";
								$qs .= " AND ".$field." IN (".$value.")";
								
						
							}
							
						   else{
								$fi = explode(',',$value);
								for ($q=0;$q < count($fi);$q++){
									$fi[$q] = "'".$fi[$q]."'";
								}
								$value = implode(',',$fi);
								$qs .= " AND ".$field." IN (".$value.")";
							}	
					  }
					else
					{
						
							if(strcmp($field,"branch_name")==0)
							{
								
								 $field = "sd.branch_id";
								 $qs .= " AND ".$field." = '".$value."'";
							 }
							
							 else
							 {	
							 	
								 $qs .= " AND ".$field." = '".$value."'";
							 }
					}	
					break;
				case 'boolean' : $qs .= " AND ".$field." = ".($value); break;
				case 'numeric' :
					switch ($compare) {
						case 'eq' : $qs .= " AND ".$field." = ".$value; break;
						case 'lt' : $qs .= " AND ".$field." < ".$value; break;
						case 'gt' : $qs .= " AND ".$field." > ".$value; break;
					}
				break;
				case 'date' :
					switch ($compare) {
						case 'eq' : $qs .= " AND ".$field." = '".date('Y-m-d',strtotime($value))."'"; break;
						case 'lt' : $qs .= " AND ".$field." < '".date('Y-m-d',strtotime($value))."'"; break;
						case 'gt' : $qs .= " AND ".$field." > '".date('Y-m-d',strtotime($value))."'"; break;
					}
				break;
        	}
			
		  }
		  
		  $condition .= $qs;
	}
	if($sort=="")
	{
		 $order_field = "sm.student_gturegno";
		 $order_type  = "ASC";
	}
	else
	{
		 $order_field = $sort;
		 $order_type  = $dir;
	}	 
	              
	$condition .= " and sm.branch_id = '".$_REQUEST['branch_id']."'";
	
	$objmidwifery = new midwiferyCertificateMgmt();		
			
	$rs = $objmidwifery->getAllRecords($limit,$start,$condition,$order_field,$order_type);
	
	$total = $objmidwifery->getCountRecords(0,0,$condition,"","");
	$i = 0;   
	$certificatesData = array("count" => $total, "certificates" => array());
	
	while($row = dbObject($rs)){
		$certificatesData["certificates"][$i] = $row;   
		$i++;
	}
	echo json_encode($certificatesData);
}
?>